# QAbstractButton Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QAbstractButton(QWidget parent)

### Constructor Properties

- prototype: The QAbstractButton prototype object

### Prototype Object Properties

The QAbstractButton prototype object inherits properties from the QWidget prototype object and also has the following properties.

- QButtonGroup group()

### Instance Properties

QAbstractButton objects inherit properties from the QAbstractButton prototype object and also have the following properties.

- text
- icon
- iconSize
- shortcut
- checkable
- checked
- autoRepeat
- autoExclusive
- autoRepeatDelay
- autoRepeatInterval
- down